Package Details: amf-amdgpu-pro-fix 22.20.3_1462318-1

Git Clone URL: https://aur.archlinux.org/amdgpu-pro-installer-fix.git (read-only, click to copy)
Package Base: amdgpu-pro-installer-fix
Description: AMDGPU Pro Advanced Multimedia Framework, patched version to enable AMF on RX 6000 series cards
Upstream URL: https://www.amd.com/en/support/kb/release-notes/rn-amdgpu-unified-linux-22-20
Keywords: amdgpu-pro amf
Licenses: custom: AMDGPU-PRO EULA
Conflicts: amf-amdgpu-pro
Submitter: Kerriganx
Maintainer: Kerriganx
Last Packager: Kerriganx
Votes: 5
Popularity: 1.54
First Submitted: 2022-07-22 17:34 (UTC)
Last Updated: 2022-09-28 10:51 (UTC)

Dependencies (4)

Required by (0)

Sources (19)

Pinned Comments

Kerriganx commented on 2022-07-22 17:47 (UTC)

This is working version of AMD AMF hardware encoder. Workaround is to keep vulkan-pro files from 21.40.2 and use the rest of files from latest version.

https://github.com/GPUOpen-LibrariesAndSDKs/AMF/issues/334

Latest Comments

Kerriganx commented on 2022-09-06 13:14 (UTC)

@syori https://github.com/Ashark/archlinux-amdgpu-pro/pull/78

Once this is merged and released as aur package this will be deleted

syori commented on 2022-09-06 13:11 (UTC)

Fixed my obs 27 driver error on RX6600. But sadly it got a conflict error with obs-studio-amf package depends(

theriddick commented on 2022-07-29 12:23 (UTC) (edited on 2022-09-05 03:39 (UTC) by theriddick)

Resolved the issue. But missing H265 for some reason.

bob-xygene commented on 2022-07-23 01:06 (UTC)

installing this package fixed AMF encoding (tested on 6900XT and 5700XT) Praise the lord for the guy that took upon him to fix it.

Kerriganx commented on 2022-07-23 00:23 (UTC)

Someone just filed a deletion request for this package: "Add a comment on the AUR package page and/or contact the Maintainer instead of created separate packages just to add a patch that could be included in the original package."

This patch is not needed for all users, but only for those who use RX 6000 cards. It contains old version of vulkan-pro files and forcing other users to use old one instead of the actual one would be not good. Due to this, it won't be accepted into the main package. So I propose to hold this package until the bug is fixed in upstream in the proper way, not like this.

Kerriganx commented on 2022-07-22 17:47 (UTC)

This is working version of AMD AMF hardware encoder. Workaround is to keep vulkan-pro files from 21.40.2 and use the rest of files from latest version.

https://github.com/GPUOpen-LibrariesAndSDKs/AMF/issues/334